Bug 236260 - net-im/py-matrix-synapse: update to v0.99.3
Summary: net-im/py-matrix-synapse: update to v0.99.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Steve Wills
URL:
Keywords:
Depends on: 235586 236721
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-05 16:03 UTC by Christian Schwarz
Modified: 2019-04-18 20:36 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (ports)


Attachments
update net-im/py-matrix-synapse to 0.99.2 (32.14 KB, patch)
2019-03-22 21:52 UTC, Sascha Biberhofer
no flags Details | Diff
update net-im/py-matrix-synapse to 0.99.3 (32.33 KB, patch)
2019-04-12 12:54 UTC, Sascha Biberhofer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Schwarz 2019-03-05 16:03:32 UTC
0.99 has been out for for 28 days now, and it's an important precursor upgrade to 1.0, which will require non-self-signed TLS certificates.

The port update should probably replicate that info (see https://github.com/matrix-org/synapse/releases/tag/v0.99.0 ).
Comment 1 Christian Schwarz 2019-03-16 12:10:44 UTC
I posted my private patch on https://reviews.freebsd.org/D19607

There are several dependency version conflicts, most notably a major version difference for py-twisted, but things seem to be working on my server.
Comment 2 Sascha Biberhofer 2019-03-22 21:52:07 UTC
Created attachment 203056 [details]
update net-im/py-matrix-synapse to 0.99.2

Sorry for the delay here, I've been pretty much burried in work and didn't have the time to submit patches for the dependencies, which we're going to need to get this package committed.

I've attached a patch that should work just fine[tm] and which includes the dependency updates already incorporated by Christian.


Additionally:

- I've removed the sample configuration after talking with the synapse developers about this. It's better if people just generate a sample config, which already includes properly genrated secrets. 

- I've updated the pkg-message, telling people to switch to valid certificates for their synapse server. Right now, we don't ship the txacme python package, so synapse can't handle this by itself, but people can just use any other letsencrypt client or valid cert for this job, so this should do for now until I find time to package this.

- I've added mock to the test dependencies. Another package is still missing for the test depends, but it's not in ports yet and I didn't want another hold up here.

- I've added lxml to the URL_RUN_DEPENDS in accordance with the synapse dependency file.

This port now depends on bug 235586 and 236721, as the dependencies will otherwise not be satisfied.
Comment 3 Sascha Biberhofer 2019-04-12 12:54:26 UTC
Created attachment 203614 [details]
update net-im/py-matrix-synapse to 0.99.3

I've bumped the version of this to 0.99.3, the current release of synapse. Despite the obvious version bump, I've ensured that the correct version of trials is called for the test command.


We should really get this thing committed, since the 1.0 release is getting closer and our users will need to switch to valid certificates. The only show stopper, as far as I can tell, is the security/py-pymacaroons-pynacl port, which is still outdated.
Comment 4 commit-hook freebsd_committer 2019-04-18 20:34:04 UTC
A commit references this bug:

Author: swills
Date: Thu Apr 18 20:33:48 UTC 2019
New revision: 499315
URL: https://svnweb.freebsd.org/changeset/ports/499315

Log:
  net-im/py-matrix-synapse: update to v0.99.3

  PR:		236260
  Submitted by:	Sascha Biberhofer <ports@skyforge.at> (maintainer)
  Reported by:	Christian Schwarz <me@cschwarz.com>

Changes:
  head/net-im/py-matrix-synapse/Makefile
  head/net-im/py-matrix-synapse/distinfo
  head/net-im/py-matrix-synapse/files/homeserver.yaml.in
  head/net-im/py-matrix-synapse/files/patch-python_dependencies.py
  head/net-im/py-matrix-synapse/files/pkg-message.in
Comment 5 Steve Wills freebsd_committer 2019-04-18 20:36:07 UTC
Committed, thanks!